Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2008-4125

Overview

Vulnerability Score 5.0 5.0
CVE Id CVE-2008-4125
Last Modified 25 Oct 2008 02:23:01
Published 18 Sep 2008 01:59:33
Confidentiality Impact PARTIAL PARTIAL
Integrity Impact NONE NONE
Availability Impact NONE NONE
Access Vector NETWORK
Access Complexity LOW
Authentication NONE

CVE-2008-4125

Summary

The search function in phpBB 2.x provides a search_id value that leaks the state of PHP's PRNG, which allows remote attackers to obtain potentially sensitive information, as demonstrated by a cross-application attack against WordPress, a different vulnerability than CVE-2006-0632.

Vulnerable Systems

Application

  • Phpbb 2


References

XF - phpbb-search-information-disclosure(45415)

MISC - http://www.suspekt.org/2008/08/17/mt_srand-and-not-so-random-numbers/


Last Updated: 27 May 2016 10:48:23